#%%
import pandas as pd

"""
Gets type of each vulnerability. 
"""
df = pd.read_csv('../data/npm_audit.csv', error_bad_lines=False)

def get_type(title):
    type = ''
    if ' (redos) ' in title.casefold() or 'redos' in title.casefold():
        type = 'Regular Expression Denial of Service'
    elif title == 'Regular expression denial of service':
        type = 'Regular Expression Denial of Service'
    else:
        type = title.split(' in ')[0]
        type = type.replace(' on ', ' ; ')
        type = type.replace(' via ', ' ; ')
        type = type.replace(' due ', ' ; ')
        if ' ; ' in type: 
            type = type.split(' ; ')[0]
    return type

df['vuln_type'] = df.apply(lambda row: get_type(row['title']), axis=1)
df.to_csv('../data/npm_audit_attack_types.csv', mode='w', index=False)

# %%
