from github import Github
import pandas as pd
import pygit2

token = ''
g = Github(token)

df = pd.read_csv('../data/dataset.csv')
repo_names = df.full_repo_name

for name in repo_names:
    print('checking repo ' + name)
    try:
        repo = g.get_repo(name)
        path = '../../../../../../Volumes/WINDOWS/cloned_js_projects/'
        dir = path + repo.name
        repo_clone = pygit2.clone_repository(repo.git_url, dir)
        print('Done cloning repo' + name)
    except:
        print('Could not clone repo ' + name)

print('Cloned all repos')



